Bug 1258489 - (gnome_portal_helper_dns_servers) make the portal helper use the connection-provided dns servers
make the portal helper use the connection-provided dns servers
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
Depends On:
Blocks: Default_Local_DNS_Resolver
  Show dependency treegraph
Reported: 2015-08-31 09:28 EDT by Tomáš Hozza
Modified: 2017-02-28 04:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 752534 None None None Never

  None (edit)
Description Tomáš Hozza 2015-08-31 09:28:40 EDT
Description of problem:
The Red Hat Bugzilla placeholder for tracking purposes.

We can't rely on resolv.conf to have proper, working information before the portal login is complete. After discussing this with the dnssec-trigger team on the Fedora side, we should find a way to explictly make the portal helper use the dns servers that are specified in the connection configuration.

Two possible approaches:

1) use an LD_PRELOAD hack like https://github.com/hadess/resolvconf-override
2) set up some minimal containerization around the portal helper and bind mount a suitable resolv.conf in place

Additional info:
See https://bugzilla.gnome.org/show_bug.cgi?id=752534
Comment 1 Fedora End Of Life 2016-11-24 07:25:15 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-02-28 04:48:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.